//功能：AIP650显示控制模块
module DH_AIP650_4SEG(
       input clk1M,
		 input rst_n,
		 input [2:0]   brightness,//数码管的亮度，一共8个级别
		 input [3:0]   SEG1,//SEG1显示的数字，8421BCD码
		 input [3:0]   SEG2,//SEG2显示的数字，8421BCD码
		 input [3:0]   SEG3,//SEG3显示的数字，8421BCD码
		 input [3:0]   SEG4,//SEG4显示的数字，8421BCD码
		 input [3:0]   DP,//SEG1-SEG4的小数点，高有效 DP[0]~SEG1 DP[3]~SEG4
		 input [3:0]   SEG_EN,//SEG1-SEG4是否显示 高有效 DP[0]~SEG1 DP[3]~SEG4
		 inout         sda,
		 output        sclk
);
wire aip650_port_ready_w;
wire valid_w0;
wire [15:0] cmd_w;
DH_AIP650_CTRL u_DH_AIP650_CTRL_0(
       .clk1M(clk1M),
		 .rst_n(rst_n),
		 .brightness(brightness),//数码管的亮度，一共8个级别,3'd7最亮
		 .SEG1(SEG1),//SEG1显示的数字，8421BCD码
		 .SEG2(SEG2),//SEG2显示的数字，8421BCD码
		 .SEG3(SEG3),//SEG3显示的数字，8421BCD码
		 .SEG4(SEG4),//SEG4显示的数字，8421BCD码
		 .DP(DP),//SEG1-SEG4的小数点，高有效 DP[0]~SEG1 DP[3]~SEG4
		 .SEG_EN(SEG_EN),
		 .aip650_port_ready(aip650_port_ready_w),
		 .ovalid(valid_w0),
		 .cmd(cmd_w)
		 
);
DH_AIP650_PORT u_DH_AIP650_PORT_0(
       .clk1M(clk1M),//最大频率：
		 .rst_n(rst_n),
		 .icmd(cmd_w),//输入指令
		 .ivalid(valid_w0),//输入指令有效标志，高有效
		 .ready(aip650_port_ready_w),
		 .sclk(sclk),
		 .sda(sda)
);
endmodule 