module vl53l1x_top(
       input  clk,
		 input  rst_n,   
		 //VL53L1X
		 //output shut,
		 output i2c_sclk,
		 inout  i2c_sda,
		 //EPCS
		 output wire       epcs_dclk,       //     epcs.dclk
		 output wire       epcs_sce,        //         .sce
		 output wire       epcs_sdo,        //         .sdo
		 input  wire       epcs_data0,      //         .data0
		 //数码管
		 inout        seg1_sda,seg2_sda,
		 output       seg1_sclk,seg2_sclk
);
//assign shut = 1'b1;
wire [3:0] ge_w,shi_w,bai_w,qian_w;
vl53l1x vl53l1x_0(
		.clk_clk(clk),       //   clk.clk
		.reset_reset_n(1'b1),//(rst_n), // reset.reset_n
		.epcs_dclk(epcs_dclk),       //     epcs.dclk
		.epcs_sce(epcs_sce),        //         .sce
		.epcs_sdo(epcs_sdo),        //         .sdo
		.epcs_data0(epcs_data0),      //         .data0
		.i2c_sclk_export(i2c_sclk), // i2c_sclk.export
		.i2c_sda_export(i2c_sda),  //  i2c_sda.export
		.ge_export(ge_w),       //       ge.export
		.shi_export(shi_w),      //      shi.export
		.bai_export(bai_w),      //      bai.export
		.qian_export(qian_w)      //     qian.export
	);
wire clk1M_w;
pll_0 u_pll_0 (
	.areset(!rst_n),
	.inclk0(clk),
	.c0(clk1M_w),
	.locked()
	);
//数码管
DH_AIP650_4SEG u_DH_AIP650_4SEG_0(
       .clk1M(clk1M_w),
		 .rst_n(rst_n),
		 .brightness(3'd7),//数码管的亮度，一共8个级别
		 .SEG1(ge_w),//SEG1显示的数字，8421BCD码
		 .SEG2(shi_w),//SEG2显示的数字，8421BCD码
		 .SEG3(bai_w),//SEG3显示的数字，8421BCD码
		 .SEG4(qian_w),//SEG4显示的数字，8421BCD码
		 .DP(4'b0000),//SEG1-SEG4的小数点，高有效 DP[0]~SEG1 DP[3]~SEG4
		 .SEG_EN(4'b1111),//SEG1-SEG4是否显示 高有效 DP[0]~SEG1 DP[3]~SEG4
		 .sda(seg1_sda),
		 .sclk(seg1_sclk)
);
DH_AIP650_4SEG u_DH_AIP650_4SEG_1(
       .clk1M(clk1M_w),
		 .rst_n(rst_n),
		 .brightness(3'd7),//数码管的亮度，一共8个级别
		 .SEG1(4'd0),//SEG1显示的数字，8421BCD码
		 .SEG2(4'd0),//SEG2显示的数字，8421BCD码
		 .SEG3(4'd0),//SEG3显示的数字，8421BCD码
		 .SEG4(4'd0),//SEG4显示的数字，8421BCD码
		 .DP(4'b0000),//SEG1-SEG4的小数点，高有效 DP[0]~SEG1 DP[3]~SEG4
		 .SEG_EN(4'b1111),//SEG1-SEG4是否显示 高有效 DP[0]~SEG1 DP[3]~SEG4
		 .sda(seg2_sda),
		 .sclk(seg2_sclk)
);
endmodule 